### Function

# FwupdPlugin strtobool

since: 1.8.2

#### Declaration [src]

    gboolean
    fu_strtobool (
      const gchar* str,
      gboolean* value,
      GError** error
    )

#### Description [src]

Converts a string value to a boolean. Only `true` and `false` are accepted values.

Available since: 1.8.2

#### Parameters

`str`

  Type: `const gchar*`

  A string, e.g. `true`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `gboolean*`

  Parsed value.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the value was parsed correctly, or `FALSE` for error.